Hoofdstuk 3. Releases van Debian

# Hoofdstuk 3. Releases van Debian

Debian 0.01 tot en met 0.90 (augustus-december 1993)

Debian 0.91 (januari 1994): deze release had een eenvoudig pakketsysteem waarmee pakketten geïnstalleerd en verwijderd konden worden. Het project was op dat moment uitgegroeid tot een project met enkele tientallen medewerkers.

Debian 0.93R5 (maart 1995): op dat moment was de verantwoordelijkheid voor elk pakket duidelijk toegewezen aan een ontwikkelaar en werd het pakketbeheerprogramma (dpkg) gebruikt om pakketten te installeren na de installatie van een basissysteem.

Debian 0.93R6 (november 1995): dselect verschijnt. Dit was de laatste Debian-release die het binaire formaat a.out gebruikte; er waren ongeveer 60 ontwikkelaars. De eerste master.debian.org-server werd gebouwd door Bdale Garbee en gehost door HP, parallel aan de release van 0.93R6. De implementatie van een expliciete masterserver waarop Debian-ontwikkelaars elke release konden bouwen, leidde rechtstreeks tot de vorming van het spiegelservernetwerk van Debian en indirect tot de ontwikkeling van veel van de beleidsregels en procedures die tegenwoordig worden gebruikt om het project te beheren.

Debian 1.0 is nooit uitgebracht: InfoMagic, een cd-leverancier, heeft per ongeluk een ontwikkelingsversie van Debian uitgebracht en deze de naam 1.0 gegeven. Op 11 december 1995 maakten Debian en InfoMagic gezamenlijk bekend dat deze versie verknoeid was. Bruce Perens legt uit dat de gegevens die op de "InfoMagic Linux Developer's Resource 5-CD Set November 1995" staan als "Debian 1.0", niet de release is van Debian 1.0, maar een vroege ontwikkelingsversie die slechts gedeeltelijk het ELF-formaat gebruikt, en die waarschijnlijk niet correct zal opstarten of werken en niet de kwaliteit heeft van een uitgebracht Debian-systeem. Om verwarring tussen de voortijdige cd-versie en de daadwerkelijke Debian-versie te voorkomen, heeft het Debian Project de naam van de volgende versie gewijzigd in "Debian 1.1". De voortijdige Debian 1.0 op cd is verouderd en mag niet worden gebruikt.

Het hosten van master.debian.org werd eind 1995 overgebracht van HP naar i-Connect.Net. Michael Neuffer en Shimon Shapiro, oprichters van i-Connect.Net, hebben master iets meer dan een jaar op hun eigen hardware gehost. Gedurende deze periode leverden ze veel diensten aan Debian, waaronder het uitvoeren van wat in feite het proces voor nieuwe medewerkers van die tijd was, en het aanzienlijk ondersteunen van de groei van het jonge spiegelservernetwerk van Debian.

Debian 1.1 Buzz (17 juni 1996): dit was de eerste Debian-release met een codenaam. Deze was, net als alle andere tot nu toe, ontleend aan een personage uit een van de Toy Story-films... in dit geval Buzz Lightyear. Tegen die tijd had Bruce Perens het leiderschap van het project overgenomen van Ian Murdock, en Bruce werkte bij Pixar, het bedrijf dat de films produceerde. Deze release was volledig ELF, maakte gebruik van Linux-kernel 2.0 en bevatte 474 pakketten.

Debian 1.2 Rex (12 december 1996): vernoemd naar de plastic dinosaurus in de Toy Story-films. Deze release bestond uit 848 pakketten, beheerd door 120 ontwikkelaars

Debian 1.3 Bo (5 juni 1997): vernoemd naar Bo Peep, de herderin. Deze release bestond uit 974 pakketten, beheerd door 200 ontwikkelaars.

Debian 2.0 Hamm (24 juli 1998): vernoemd naar het spaarvarken in de Toy Story-films. Dit was de eerste multi-architectuurrelease van Debian, met ondersteuning voor de Motorola 68000-serie. Met Ian Jackson als projectleider maakte deze release de overstap naar libc6 en ze bestond uit meer dan 1500 pakketten, beheerd door meer dan 400 ontwikkelaars.

Debian 2.1 Slink (March 9th, 1999): Named for the slinky-dog in the movie. Two more architectures were added, Alpha and SPARC. With Wichert Akkerman as Project Leader, this release consisted of about 2250 packages and required 2 CDs in the official set. The key technical innovation was the introduction of apt, a new package management interface. Widely emulated, apt addressed issues resulting from Debian's continuing growth, and established a new paradigm for package acquisition and installation on Open Source operating systems.

Debian 2.2 Potato (15 August 2000): Named for "Mr Potato Head" in the Toy Story movies. This release added support for the PowerPC and ARM architectures. With Wichert still serving as Project Leader, this release consisted of more than 3900 binary packages derived from over 2600 source packages maintained by more than 450 Debian developers.

Debian 3.0 Woody (19 July 2002): Named for the main character the Toy Story movies: "Woody" the cowboy. Even more architectures were added in this release: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) and S/390. This is also the first release to include cryptographic software due to the restrictions for exportation being lightened in the US, and also the first one to include KDE, now that the license issues with Qt were resolved. With Bdale Garbee recently appointed Project Leader, and more than 900 Debian developers, this release contained around 8,500 binary packages and 7 binary CDs in the official set.

Debian 3.1 Sarge (6 juni 2005): vernoemd naar de sergeant van de Green Plastic Army Men. Er zijn geen nieuwe architecturen toegevoegd aan de release, hoewel er tegelijkertijd een niet-officiële overzetting naar AMD64 werd gepubliceerd en gedistribueerd via de nieuwe hostingsite van het Alioth-project. Deze release bevat een nieuw installatiesysteem: debian-installer, een modulair stuk software met automatische hardware-detectie, functies voor onbeheerde installatie en volledig vertaald in meer dan dertig talen. Het was ook de eerste release met een volledige kantoorsuite: OpenOffice.org. Branden Robinson was net aangesteld als projectleider. Deze release is gemaakt door meer dan negenhonderd Debian-ontwikkelaars en bevatte ongeveer 15.400 binaire pakketten en 14 binaire cd's in de officiële set.

Debian 4.0 Etch (8 April 2007): named for the sketch toy in the movie. One architecture was added in this release: AMD64, and official support for m68k was dropped. This release continued using the debian-installer, but featuring in this release a graphical installer, cryptographic verification of downloaded packages, more flexible partitioning (with support for encrypted partitions), simplified mail configuration, a more flexible desktop selection, simplified but improved localization and new modes, including a rescue mode. New installations would not need to reboot through the installation process as the previous two phases of installation were now integrated. This new installer provided support for scripts using composed characters and complex languages in its graphical version, increasing the number of available translations to over fifty. Sam Hocevar was appointed Project Leader the very same day, and the project included more than one thousand and thirty Debian developers. The release contained around 18,000 binary packages over 20 binary CDs (3 DVDs) in the official set. There were also two binary CDs available to install the system with alternate desktop environments different to the default one.

Debian 5.0 Lenny (February 2009): named for the wind up binoculars in the Toy Story movies. One architecture was added in this release: ARM EABI (or armel), providing support for newer ARM processors and deprecating the old ARM port (arm). The m68k port was not included in this release, although it was still provided in the unstable distribution. This release did not feature the FreeBSD port, although much work on the port had been done to make it qualify it did not meet yet the qualification requirements for this release.

De ondersteuning voor kleine apparaten is in deze release verbeterd door de toegevoegde ondersteuning voor het Orion-platform van Marvell, dat in veel opslagapparaten werd gebruikt en ook in verschillende netbooks werd ondersteund. Er zijn enkele nieuwe buildtools toegevoegd waardoor het cross-compileren en verkleinen van Debian-pakketten voor ingebedde ARM-systemen mogelijk werd. Ook werden nu netbooks van verschillende leveranciers ondersteund en bood de distributie software die geschikter was voor computers met relatief lage prestaties.

Het was ook de eerste release die vrije versies van Sun's Java-technologie aanbood, waardoor het mogelijk werd om Java-applicaties in de sectie main aan te bieden.

Debian 6.0 Squeeze (februari 2011): vernoemd naar de groene buitenaardse wezens met drie ogen.

De release werd op 6 augustus 2010 bevroren, terwijl veel Debian-ontwikkelaars bijeen waren op de 10de DebConf in New York City.

While two architectures (alpha and hppa) were dropped, two architectures of the new FreeBSD port (kfreebsd-i386 and kfreebsd-amd64) were made available as technology preview, including the kernel and userland tools as well as common server software (though not advanced desktop features yet). This was the first time a Linux distribution has been extended to also allow use of a non-Linux kernel.

De nieuwe release introduceerde een op afhankelijkheden gebaseerde opstartvolgorde, waardoor parallelle verwerking van init-scripts mogelijk werd, wat het opstarten van het systeem versnelde.

Debian 6 was de eerste release die profiteerde van langetermijnondersteuning (Long Term Support - LTS), een project om de levensduur van alle stabiele releases van Debian te verlengen tot (minstens) 5 jaar. Debian LTS werd niet beheerd door het Debian veiligheidsteam, maar door een aparte groep vrijwilligers en bedrijven die er een succes van wilden maken. Debian 6 werd ondersteund tot eind februari 2016 en de LTS was beperkt tot de architecturen i386 en amd64.

Debian 7.0 Wheezy (mei 2013): vernoemd naar de rubberen speelgoedpinguïn met een rode vlinderdas.

De release werd bevroren op 30 juni 2012, vlak voor de bijeenkomst van Debian-ontwikkelaars op de 12e DebConf in Managua, Nicaragua.

In deze release werd één nieuwe architectuur opgenomen (armhf) en werd multi-architectuurondersteuning, waardoor gebruikers pakketten van meerdere architecturen op dezelfde machine konden installeren. Dankzij verbeteringen in het installatieproces konden visueel gehandicapten voor het eerst het systeem installeren met behulp van spraaksoftware.

Dit was ook de eerste release die de installatie en het opstarten ondersteunde op apparaten met UEFI-firmware.

Debian 7 had tot eind mei 2018 langdurige ondersteuning (Long Term Support - LTS) voor de architecturen i386, amd64, armel en armhf.

Debian 8 Jessie (april 2015): vernoemd naar de cowgirlpop die voor het eerst voorkwam in Toy Story 2.

Deze release introduceerde voor het eerst het systemd init-systeem als standaard. Er werden twee nieuwe architecturen geïntroduceerd: arm64 en ppc64el, en drie architecturen werden geschrapt: s390 (vervangen door s390x), ia64 en sparc. De Sparc-architectuur was al 16 jaar aanwezig in Debian, maar het ontbrak aan ondersteuning van ontwikkelaars om deze in de distributie onderhoudbaar te houden.

De release bevatte veel beveiligingsverbeteringen, zoals een nieuwe kernel die een hele reeks beveiligingskwetsbaarheden (symlink-aanvallen) ongedaan maakte, een nieuwe manier om pakketten te detecteren die onder beveiligingsondersteuning vielen, meer pakketten die waren gebouwd met minder kwetsbare compilervlaggen en een nieuw mechanisme (needrestart) om subsystemen te detecteren die opnieuw moesten worden opgestart om beveiligingsupdates na een upgrade door te voeren.

Debian 8 had tot eind juni 2020 langdurige ondersteuning (Long Term Support - LTS) voor de architecturen i386, amd64, armel en armhf.

Debian 9 Stretch (juni 2017): vernoemd naar de rubberen speelgoedoctopus met zuignappen aan haar acht lange armen die voorkwam in Toy Story 3.

De release werd bevroren op 7 februari 2017.

Debian 9 is opgedragen aan de oprichter van het project, Ian Murdock, die op 28 december 2015 overleed.

Ondersteuning voor de powerpc-architectuur is in deze release geschrapt, terwijl de mips64el-architectuur is geïntroduceerd. Deze release introduceerde debug-pakketten met een nieuwe pakketbron in het archief. Pakketten uit deze pakketbron leverden automatisch debug-symbolen voor pakketten. Firefox en Thunderbird zijn teruggekeerd naar Debian en vervangen hun merkloze versies Iceweasel en Icedove, die meer dan 10 jaar in het archief aanwezig waren. Dankzij het Reproducible Builds-project kon meer dan 90% van de bronpakketten in Debian 9 bit-voor-bit identieke binaire pakketten bouwen.

Debian 9 had tot eind juni 2022 langdurige ondersteuning (Long Term Support - LTS) voor de architecturen i386, amd64, armel en armhf.

Debian 10 Buster (juli 2019): vernoemd naar Andy's hond, die hij als kerstcadeau kreeg aan het einde van Toy Story.

Met deze release heeft Debian voor het eerst een verplicht toegangscontrolesysteem (AppArmor) opgenomen dat standaard ingeschakeld is. Het was ook de eerste Debian-release die werd geleverd met op Rust gebaseerde programma's zoals Firefox, ripgrep, fd, exa, enz. en een aanzienlijk aantal op Rust gebaseerde bibliotheken (meer dan 450). In Debian 10 gebruikt GNOME standaard de Wayland-beeldschermserver in plaats van Xorg, wat een eenvoudiger en moderner ontwerp en voordelen voor de beveiliging oplevert. De UEFI-ondersteuning (“Unified Extensible Firmware Interface”), die voor het eerst werd geïntroduceerd in Debian 7, werd in Debian 10 verder verbeterd. Deze ondersteuning is nu beschikbaar voor de architecturen amd64, i386 en arm64 en is direct gebruiksklaar op de meeste machines met Secure Boot.

Debian 10 had tot eind juni 2024 langdurige ondersteuning (Long Term Support - LTS) voor de architecturen i386, amd64, armel en armhf.

Debian 11 Bullseye (14 augustus 2021): vernoemd naar Woody's houten speelgoedpaard dat voorkwam in Toy Story 2.

Deze release bevatte meer dan 11.294 nieuwe pakketten, wat het totaal op 59.551 pakketten bracht. Tegelijk vond er een aanzienlijke vermindering plaats van meer dan 9.519 pakketten die als “verouderd” werden gemarkeerd en verwijderd. 42.821 pakketten werden bijgewerkt en 5.434 pakketten bleven ongewijzigd.

Debian 11 maakte het mogelijk om zonder stuurprogramma's te printen en te scannen, zonder dat daarvoor specifieke (vaak niet-vrije) stuurprogramma's van leveranciers nodig waren, en leverde een Linux-kernel met ondersteuning voor het exFAT-bestandssysteem. De ondersteuning voor de mips-architectuur werd geschrapt, maar de ondersteuning voor mipsel-architecturen (little-endian) voor 32-bits hardware en mips64el-architecturen voor 64-bits little-endian hardware bleef behouden.

Het Debian Med-team leverde een bijdrage aan de strijd tegen COVID-19 door software te bundelen voor onderzoek naar het virus op sequentieniveau en voor de bestrijding van de pandemie met hulpmiddelen die in de epidemiologie worden gebruikt. Dit werk werd voortgezet met de focus op hulpmiddelen voor machinaal leren voor beide vakgebieden.

Debian 12 Bookworm (10 juni 2023): vernoemd naar een groene speelgoedworm met ingebouwde zaklamp die voorkwam in Toy Story 3.

Deze release bevatte meer dan 11.089 nieuwe pakketten, wat het totaal op 64.419 pakketten brengt, terwijl meer dan 6.296 pakketten als “verouderd” zijn verwijderd. In deze release zijn 43.254 pakketten bijgewerkt. Het totale schijfgebruik voor bookworm is 365.016.420 kB (365 GB) en bestaat uit 1.341.564.204 regels code.

Naar aanleiding van de algemene resolutie van 2022 over niet-vrije firmware is het Debian Sociaal Contract aangepast en is er een nieuw archiefgebied met de naam non-free-firmware geïntroduceerd, waardoor het mogelijk is om niet-vrije firmware te scheiden van de andere niet-vrije pakketten. De meeste niet-vrije firmwarepakketten zijn verplaatst van non-free naar non-free-firmware. Door deze scheiding is het mogelijk om verschillende officiële installatie-images te bouwen. En het maakt het veel eenvoudiger om Debian op populaire hardware te installeren met behulp van het officiële Debian-installatieprogramma.

In totaal worden negen architecturen officieel ondersteund voor bookworm.

Het Debian Cloud-team publiceert bookworm voor drie populaire cloudcomputingdiensten.

Tussen de releases door, in Bug#978636 (februari 2021), heeft de Technisch Comité besloten dat Debian bookworm alleen de merged-usr[1] root-bestandssysteemindeling zou ondersteunen en de ondersteuning voor de niet-merged-usr-indeling zou laten vallen. Voor systemen die geïnstalleerd zijn als buster of bullseye zouden er geen wijzigingen in het bestandssysteem zijn; systemen die de oudere indeling gebruiken, zouden echter wel worden geconverteerd tijdens de upgrade.

Dankzij de gezamenlijke inspanningen van het Debian beveiligingsteam en het Debian team voor langdurige ondersteuning wordt bookworm tot juni 2028 (vijf jaar na de release) op vier architecturen ondersteund.

Debian 13 Trixie (vanaf augustus 2024 de test-distributie): Trixie is een blauwe speelgoed-triceratops die voorkwam in Toy Story 3.

[1] usr-merge (of merged-usr of `/usr`-move) is een bestandssysteemindeling waarbij de traditionele Unix-mappen `/bin`, `/sbin`, `/lib` en `/lib64` worden vervangen door symbolische koppelingen naar hun tegenhangers onder `/usr`. Zo wordt bijvoorbeeld `/bin` vervangen door een symbolische koppeling naar `/usr/bin`. In 2012 werd usr-merge geïmplementeerd in Fedora Linux en Ubuntu Linux. Zie ook Het pleidooi voor de usr-samenvoeging en de Notities bij de release van Bookworm.

Hoofdstuk 2. Leiding |  | Hoofdstuk 4. Een gedetailleerde geschiedenis